org.apache.maven.scm.command.mkdir

## Class MkdirScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.mkdir.MkdirScmResult

All Implemented Interfaces:
  Serializable

    public class MkdirScmResult
    extends ScmResult

Result of making directories in SCM.

Author:
  Maria Odea Ching
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`MkdirScmResult(List<ScmFile> createdDirs, ScmResult result)`
`MkdirScmResult(ScmResult scmResult)`
`MkdirScmResult(String commandLine, List<ScmFile> createdDirs)`
`MkdirScmResult(String revision, ScmResult result)`
`MkdirScmResult(String commandLine, String revision)`
`MkdirScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ScmFile>` `getCreatedDirs()`
`String` `getRevision()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MkdirScmResult

    public MkdirScmResult(ScmResult scmResult)

#### MkdirScmResult

    public MkdirScmResult(String commandLine,
                          String providerMessage,
                          String commandOutput,
                          boolean success)

#### MkdirScmResult

    public MkdirScmResult(String commandLine,
                          String revision)

#### MkdirScmResult

    public MkdirScmResult(String commandLine,
                          List<ScmFile> createdDirs)

#### MkdirScmResult

    public MkdirScmResult(String revision,
                          ScmResult result)

#### MkdirScmResult

    public MkdirScmResult(List<ScmFile> createdDirs,
                          ScmResult result)

### Method Detail

#### getRevision

    public String getRevision()

#### getCreatedDirs

    public List<ScmFile> getCreatedDirs()